List all billing records
GEThttps://core-prod.malipopay.co.tz/api/v1/ussd/billing
Returns all USSD billing records for the authenticated project.
Request
Query Parameters
env string
Environment filter
month integer
Month filter
year integer
Year filter
operator string
Operator filter
billingStatus string
Status filter
Responses
- 200
- 500
Billing records fetched successfully
- application/json
- Schema
- Example (auto)
Schema
successbooleanrequired
Example:
truecodeintegerrequired
MALIPOPAY-specific status code (see error codes reference)
Example:
800messagestringrequired
Example:
Operation completed successfullydata object
{
"success": true,
"code": 800,
"message": "Operation completed successfully",
"data": {}
}
Internal server error
- application/json
- Schema
- Example (auto)
Schema
successbooleanrequired
Example:
falsecodeintegerrequired
MALIPOPAY-specific error code
Example:
886messagestringrequired
Example:
Operation faileddetailsstring
Human-readable error details
Example:
Invalid apiToken{
"success": false,
"code": 886,
"message": "Operation failed",
"details": "Invalid apiToken"
}
Authorization: apiToken
name: apiTokentype: apiKeyin: headerdescription: Project API key. Get yours from the Malipopay dashboard under Settings → API Keys.
- curl
- python
- nodejs
- php
- java
- go
- CURL
curl -L 'https://core-prod.malipopay.co.tz/api/v1/ussd/billing' \
-H 'Accept: application/json' \
-H 'apiToken: <apiToken>'
Response